#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-IQsVlWQdtIVJoxibd46l9u
key:                  hls-refactor-plugin-1.2.0.0-IQsVlWQdtIVJoxibd46l9u
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  9f420c3d4e341e36708573a7dd76b588
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-IQsVlWQdtIVJoxibd46l9u
depends:
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-HcuW2hRxvD847K0VTSuNyE deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-ESTw8FJfucgANp58seiMXg
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-Adz1XTsYVw9KKp8n2Xxi0G
    ghcide-1.10.0.0-CDGj4rQgLxaFAIkSgVSteS
    hls-graph-1.9.0.0-LpVPBgrARUyG3hGfVH33zE
    hls-plugin-api-1.6.0.0-6xxc1Oi77dcL7rWGRwYkK4
    lens-5.2.3-2JZ3XKI9X344dVlwCAi4Go
    lsp-1.6.0.0-7UN9JZFLsNG7MKq3sSqAAX mtl-2.2.2
    regex-tdfa-1.3.2.2-AWRtW3HEkDj8mIC5eY5JP0
    retrie-1.2.3-CE5j13mc0io5BmLBjIqr09
    syb-0.7.2.4-7M5KdkNPe8v4JwJLONUD12 text-1.2.5.0
    text-rope-0.3-GsFAl58zS6RDKdzSqafO9r time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

